Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface CredentialCreationOptionsParameters.IExcludeCredentialsStage

All Known Implementing Classes:
  `CredentialCreationOptionsParameters.Builder`

Enclosing class:
  CredentialCreationOptionsParameters

public static interface CredentialCreationOptionsParameters.IExcludeCredentialsStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialCreationOptionsParameters.INameStage`
`withExcludeCredentials(Set<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> excludeCredentials)`
Credentials that have already been registered with the IdP.

## Method Details

### withExcludeCredentials

CredentialCreationOptionsParameters.INameStage withExcludeCredentials(@Nonnull Set<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> excludeCredentials)
Credentials that have already been registered with the IdP.

Parameters:
  `excludeCredentials` - the credentials to exclude
Returns:
  the next stage